Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInterpolateDataSetAttributes Class Reference

`#include <vtkInterpolateDataSetAttributes.h>`

Inheritance diagram for vtkInterpolateDataSetAttributes:

[legend]
Collaboration diagram for vtkInterpolateDataSetAttributes:

[legend]
List of all members.

## Detailed Description

interpolate scalars, vectors, etc. and other dataset attributes

Date:
  2002/11/03 22:51:55

Revision:
  1.21

vtkInterpolateDataSetAttributes is a filter that interpolates data set attribute values between input data sets. The input to the filter must be datasets of the same type, same number of cells, and same number of points. The output of the filter is a data set of the same type as the input dataset and whose attribute values have been interpolated at the parametric value specified.

The filter is used by specifying two or more input data sets (total of N), and a parametric value t (0 <= t <= N-1). The output will contain interpolated data set attributes common to all input data sets. (For example, if one input has scalars and vectors, and another has just scalars, then only scalars will be interpolated and output.)

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (72%)
  - Martin, Ken (17%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkInterpolateDataSetAttributes.cxx)`
  - .`h` (`/Graphics/vtkInterpolateDataSetAttributes.h)`

Tests:
  vtkInterpolateDataSetAttributes (Tests)

Definition at line 57 of file vtkInterpolateDataSetAttributes.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | AddInput (vtkDataSet *in)
vtkDataSetCollection * | GetInputList ()
virtual void | SetT (float)
virtual float | GetT ()
## Static Public Methods
vtkInterpolateDataSetAttributes * | New ()
int | IsTypeOf (const char *type)
vtkInterpolateDataSetAttributes * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInterpolateDataSetAttributes ()
| ~vtkInterpolateDataSetAttributes ()
void | Execute ()
## Protected Attributes
vtkDataSetCollection * | InputList
float | T

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkInterpolateDataSetAttributes::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 61 of file vtkInterpolateDataSetAttributes.h.

## Constructor & Destructor Documentation

vtkInterpolateDataSetAttributes::vtkInterpolateDataSetAttributes | ( |  | ) | `[protected]`

vtkInterpolateDataSetAttributes::~vtkInterpolateDataSetAttributes | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInterpolateDataSetAttributes* vtkInterpolateDataSetAttributes::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkInterpolateDataSetAttributes::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkInterpolateDataSetAttributes::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkInterpolateDataSetAttributes::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkInterpolateDataSetAttributes* vtkInterpolateDataSetAttributes::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkInterpolateDataSetAttributes::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

void vtkInterpolateDataSetAttributes::AddInput | ( | vtkDataSet * | in | ) |

| Add a dataset to the list of data to interpolate.

vtkDataSetCollection* vtkInterpolateDataSetAttributes::GetInputList | ( |  | ) |

| Return the list of inputs to this filter.

virtual void vtkInterpolateDataSetAttributes::SetT | ( | float |  | ) | `[virtual]`

| Specify interpolation parameter t.

virtual float vtkInterpolateDataSetAttributes::GetT | ( |  | ) | `[virtual]`

| Specify interpolation parameter t.

void vtkInterpolateDataSetAttributes::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkDataSetCollection* vtkInterpolateDataSetAttributes::InputList`[protected]`

| Definition at line 82 of file vtkInterpolateDataSetAttributes.h.

float vtkInterpolateDataSetAttributes::T`[protected]`

| Definition at line 83 of file vtkInterpolateDataSetAttributes.h.

The documentation for this class was generated from the following file:

- Graphics/vtkInterpolateDataSetAttributes.h